#include <iostream>

using namespace std;

int main(){
    double x, y;

    cout << "Input x" << endl;
    cin >> x;

    y = 7 * (x * x) - 3 * x + 6;

    cout << "Function result: " << y << endl;

    return 0;
}